//Roboto
//Sketch maître : test de la Nunchuck avec envoie des données en bluetooth avec HC 05 sur le sketch esclave
//My Human Kit

//Télécharger la librarie wiichuck:https://www.arduinolibraries.info/libraries/wii-chuck

//Sketch maitre à utiliser avec le sketch esclave

#include <WiiChuck.h>
#include <Wire.h>
#include <SoftwareSerial.h>

SoftwareSerial ArduinoSlave(10, 11); // RX | TX //hc 05

#define BROCHE_SCL  A4 //DATA  //nunchuck
#define BROCHE_SDA  A5 //CLOCK //nunchuck

int joyX;
int joyY;
boolean boutonC;
boolean boutonZ;



Nunchuck nunchuck(BROCHE_SDA, BROCHE_SCL);

//String answer;
String msg;



void setup(void)
{


  Serial.begin(38400);
  Serial.println("Enter AT commands:");
  ArduinoSlave.begin(38400);  // HC-05 default speed in AT command more

  Serial.println("Starting Wiichuck Generic Controller Demo");
  nunchuck.begin();
  int i;

}

void readSerialPort() {
  while (Serial.available()) {
    delay(100);
    if (Serial.available() > 0) {
      char c = Serial.read();  //gets one byte from serial buffer
      msg += c; //makes the string readString //recoit les datas du nunchuck
    }
  }
  Serial.flush();
}


void loop()
{
//Lire les données reçues de la manette Nunchuck
  nunchuck.readData();

  joyX = nunchuck.getJoyX();
  Serial.print("JoyX :");
  Serial.println(joyX);
  
  joyY = nunchuck.getJoyY();
  Serial.print("JoyY :");
  Serial.println(joyY);
  
  boutonC = nunchuck.checkButtonC();
  Serial.print("boutonC :");
  Serial.println(boutonC);
  
  boutonZ = nunchuck.checkButtonZ();
  Serial.print("boutonZ :");
  Serial.println(boutonZ);

//Envoi des données de la Nunchuck au module esclave
  ArduinoSlave.print(joyX);
  ArduinoSlave.print(";");
  ArduinoSlave.print(joyY);
  ArduinoSlave.print(";");
  ArduinoSlave.print(boutonC);
  ArduinoSlave.print(";");
  ArduinoSlave.print(boutonZ);
  ArduinoSlave.println(";");

  
  delay(200);

}
